
.button_container, .button_container.active {
  position: absolute;
  margin: 0;
  width: 200px;
  height: 60px;
  cursor: pointer;
  z-index: 100;
  font-weight: 600;
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  align-items: center;
  transition: opacity .35s ease;
  background: #BF0B0B;
  color: #ECECEC;
}
.button_container p { 
  padding: 10px;
  font-weight: 600;
}
.button_container.active {
  background: #BF0B0B;
  position: fixed;
}
.button_container:hover {
  background: #D90D0D;
}
.button_container.active .top {
  -webkit-transform: translateY(9px) translateX(0) rotate(45deg);
          transform: translateY(9px) translateX(0) rotate(45deg);
  background: #ECECEC;
}
.button_container.active .middle {
  opacity: 0;
  background: #ECECEC;
}
.button_container.active .bottom {
  -webkit-transform: translateY(-9px) translateX(0) rotate(-45deg);
          transform: translateY(-9px) translateX(0) rotate(-45deg);
  background: #ECECEC;
}
.button_container span {
  background: #36383D;
  border: none;
  height: 3px;
  width: 100%;
  position: absolute;
  top: 0;
  left: 0;
  transition: all .35s ease;
  cursor: pointer;
}
.button_container span:nth-of-type(2) {
  top: 9px;
}
.button_container span:nth-of-type(3) {
  top: 18px;
}

.overlay {
  position: fixed;
  background: rgba(45,44,58,.95); 
  background-size: 413px auto;
  top: 0;
  left: 0;
  width: 100%;
  height: 0%;
  opacity: 0;
  visibility: hidden;
  transition: opacity .35s, visibility .35s, height .35s;
  overflow: hidden;
  display: flex; 
  flex-wrap: wrap;
  align-items: start;
  justify-content: start;
}
.overlay.open {
  opacity: 1;
  visibility: visible;
  height: 100%;
}
.overlay.open li {
  -webkit-animation: fadeInRight .5s ease forwards;
          animation: fadeInRight .5s ease forwards;
  -webkit-animation-delay: .35s;
          animation-delay: .35s;
}
.overlay.open li:nth-of-type(2) {
  -webkit-animation-delay: .4s;
          animation-delay: .4s;
}
.overlay.open li:nth-of-type(3) {
  -webkit-animation-delay: .45s;
          animation-delay: .45s;
}
.overlay.open li:nth-of-type(4) {
  -webkit-animation-delay: .50s;
          animation-delay: .50s;
}

/* Tablety na výšku */
@media screen and (min-width: 481px) and (max-width: 767px) {
  .overlay { z-index: 100; display: flex; flex-wrap: wrap; justify-content: center; align-content: center; background: #1D1A38;}
  /* Vlastní nastavení obsahu */
  .navigace-face { width: 100%; height: auto; display: inline-flex; flex-wrap: wrap; justify-content: center; align-content: center;}
  .navigace-logo { width: 200px; height: 200px; margin: 0 0 10px 0; display: flex; flex-wrap: wrap; justify-content: center; align-content: center; background: url('../themes/logo.png') top no-repeat; background-size: contain;}
  .navigace-headbox { width: 250px; height: auto; padding: 0; display: flex; flex-wrap: wrap; justify-content: center;}
  .navigace-box { width: 250px; height: 35px; padding: 0; display: flex; flex-wrap: wrap; justify-content: center;}
  .navigace-box p { font-size: 22px; color: #ECECEC; font-weight: 800;}
  .navigace-box-special { width: 200px; padding: 20px 0; border: 2px solid #F2BC1B; display: flex; flex-wrap: wrap; justify-content: center;}
  .navigace-box-special p { font-size: 22px; color: #ECECEC; font-weight: 800;}
}

/* Rozhraní pro mobil */
@media screen and (max-width: 480px) {
  .overlay { z-index: 100; display: flex; flex-wrap: wrap; justify-content: center; align-content: center; background: #1D1A38;}
  /* Vlastní nastavení obsahu */
  .navigace-face { width: 100%; height: auto; display: flex; flex-wrap: wrap; justify-content: center; align-content: center;}
  .navigace-logo { width: 200px; height: 200px; margin: 0 0 10px 0; display: flex; flex-wrap: wrap; justify-content: center; align-content: center; background: url('../themes/logo.png') top no-repeat; background-size: contain;}
  .navigace-headbox { width: 300px; height: auto; padding: 0; display: flex; flex-wrap: wrap; justify-content: center;}
  .navigace-box { width: 300px; padding: 20px 0; display: flex; flex-wrap: wrap; justify-content: center;}
  .navigace-box p { font-size: 22px; color: #ECECEC; font-weight: 800;}
  .navigace-box-special { width: 200px; padding: 20px 0; border: 2px solid #F2BC1B; display: flex; flex-wrap: wrap; justify-content: center;}
  .navigace-box-special p { font-size: 22px; color: #ECECEC; font-weight: 800;}
}

  @-webkit-keyframes fadeInRight {
  0% {
    opacity: 0;
    left: 20%;
  }
  100% {
    opacity: 1;
    left: 0;
  }
  }

  @keyframes fadeInRight {
  0% {
    opacity: 0;
    left: 20%;
  }
  100% {
    opacity: 1;
    left: 0;
  }
}